aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListAccessKeys

Synopsis

- data ListAccessKeys = ListAccessKeys {
  - lakUserName :: Maybe Text
  - lakMarker :: Maybe Text
  - lakMaxItems :: Maybe Integer
  }
- data ListAccessKeysResponse = ListAccessKeysResponse {
  - lakrAccessKeyMetadata :: [AccessKeyMetadata]
  - lakrIsTruncated :: Bool
  - lakrMarker :: Maybe Text
  }

# Documentation

data ListAccessKeys Source #

Returns the access keys associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListAccessKeys.html

Constructors

ListAccessKeys |

Fields

- lakUserName :: Maybe Text

  Name of the user. If the user name is not specified, IAM will determine the user based on the key sigining the request.

- lakMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lakMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListAccessKeys Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ServiceConfiguration ListAccessKeys |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration

Methods

signQuery :: ListAccessKeys -> ServiceConfiguration ListAccessKeys queryType -> SignatureData -> SignedQuery Source #

Show ListAccessKeys Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods showsPrec :: Int -> ListAccessKeys -> ShowS Source # show :: ListAccessKeys -> String Source # showList :: [ListAccessKeys] -> ShowS Source #
Eq ListAccessKeys Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods (==) :: ListAccessKeys -> ListAccessKeys -> Bool Source # (/=) :: ListAccessKeys -> ListAccessKeys -> Bool Source #
Ord ListAccessKeys Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Methods

compare :: ListAccessKeys -> ListAccessKeys -> Ordering Source #

(<) :: ListAccessKeys -> ListAccessKeys -> Bool Source #

(<=) :: ListAccessKeys -> ListAccessKeys -> Bool Source #

(>) :: ListAccessKeys -> ListAccessKeys -> Bool Source #

(>=) :: ListAccessKeys -> ListAccessKeys -> Bool Source #

max :: ListAccessKeys -> ListAccessKeys -> ListAccessKeys Source #

min :: ListAccessKeys -> ListAccessKeys -> ListAccessKeys Source #

IteratedTransaction ListAccessKeys ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys Source #
ResponseConsumer ListAccessKeys ListAccessKeysResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ResponseMetadata ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata

Methods

responseConsumer :: Request -> ListAccessKeys -> IORef (ResponseMetadata ListAccessKeysResponse) -> HTTPResponseConsumer ListAccessKeysResponse Source #

Transaction ListAccessKeys ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
type ServiceConfiguration ListAccessKeys Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration

data ListAccessKeysResponse Source #

Constructors

ListAccessKeysResponse |

Fields

- lakrAccessKeyMetadata :: [AccessKeyMetadata]

  List of `AccessKeyMetadata` objects

- lakrIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lakrMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListAccessKeysResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type MemoryResponse ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse

Methods

loadToMemory :: ListAccessKeysResponse -> ResourceT IO (MemoryResponse ListAccessKeysResponse) Source #

Show ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods showsPrec :: Int -> ListAccessKeysResponse -> ShowS Source # show :: ListAccessKeysResponse -> String Source # showList :: [ListAccessKeysResponse] -> ShowS Source #
Eq ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods (==) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool Source # (/=) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool Source #
Ord ListAccessKeysResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Methods

compare :: ListAccessKeysResponse -> ListAccessKeysResponse -> Ordering Source #

(<) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool Source #

(<=) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool Source #

(>) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool Source #

(>=) :: ListAccessKeysResponse -> ListAccessKeysResponse -> Bool Source #

max :: ListAccessKeysResponse -> ListAccessKeysResponse -> ListAccessKeysResponse Source #

min :: ListAccessKeysResponse -> ListAccessKeysResponse -> ListAccessKeysResponse Source #

IteratedTransaction ListAccessKeys ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys Source #
ResponseConsumer ListAccessKeys ListAccessKeysResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type ResponseMetadata ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata

Methods

responseConsumer :: Request -> ListAccessKeys -> IORef (ResponseMetadata ListAccessKeysResponse) -> HTTPResponseConsumer ListAccessKeysResponse Source #

Transaction ListAccessKeys ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
type MemoryResponse ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse
type ResponseMetadata ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata